# Uses of Interface
java.net.URLStreamHandlerFactory

Packages that use URLStreamHandlerFactory
Package
Description
java.net
Provides the classes for implementing networking applications.
java.net.spi
Service-provider classes for the `java.net` package.

## Uses of URLStreamHandlerFactory in java.net

Methods in java.net with parameters of type URLStreamHandlerFactory
Modifier and Type
Method
Description
`static void`
URL.`setURLStreamHandlerFactory(URLStreamHandlerFactory fac)`
Sets an application's `URLStreamHandlerFactory`.
Constructors in java.net with parameters of type URLStreamHandlerFactory
Modifier
Constructor
Description
``
`URLClassLoader(String name, URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)`
Constructs a new named `URLClassLoader` for the specified URLs, parent class loader, and URLStreamHandlerFactory.
``
`URLClassLoader(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory)`
Constructs a new URLClassLoader for the specified URLs, parent class loader, and URLStreamHandlerFactory.

## Uses of URLStreamHandlerFactory in java.net.spi

Classes in java.net.spi that implement URLStreamHandlerFactory
Modifier and Type
Class
Description
`class`
`URLStreamHandlerProvider`
URL stream handler service-provider class.